Imports System.Collections.Generic

Namespace GraphQL
    Public Class Query
        Public Property Id As Integer
        Public Property Name As String
        Public Property ConnectionId As String = ""
        Public Property ClearBeforeFill As Boolean = False
        Public Property QueryString As String = ""
        Public Property OperationName As String = ""
        Public Property DestinationTable As String = ""

        Public Property MappingBasePath As String = ""
        Public Property MappingFields As New List(Of FieldMapping)
    End Class

    Public Class FieldMapping
        Public SourcePath As String = ""
        Public DestinationColumn As String = ""
        Public Value As String = ""
    End Class
End Namespace
